Bug 1123454 - [RFE] Document the proces of updating resource_limits.conf
Summary: [RFE] Document the proces of updating resource_limits.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: Bilhar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 17:35 UTC by Josep 'Pep' Turro Mauri
Modified: 2018-12-09 18:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 20:48:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 983631 low CLOSED The memory_limit parameter in /etc/openshift/resource_limits.conf cannot be set a human readable format such as ' <#me... 2020-10-14 00:28:05 UTC
Red Hat Knowledge Base (Solution) 1127493 None None None Never

Internal Links: 983631

Description Josep 'Pep' Turro Mauri 2014-07-25 17:35:50 UTC
Description of problem:
The header of the default /etc/openshift/resource_limits.conf file says:

# NOTE: If you change these, please run the following commands:
#       service mcollective restart
#       oo-cgroup-enable --with-all-containers
#       oo-pam-enable --with-all-containers
#       oo-admin-ctl-tc restart
#

but this is not documented elsewhere. The current guides don't document these commands (and oo-cgroup-enable in particular) AFAICT, nor the process of updating that file.

Version-Release number of selected component (if applicable):
OSE 2.1

How reproducible:

This request comes from a particular use case: if you try to increase memory_limit_in_bytes above your previousy set memory_memsw_limit_in_bytes, oo-cgroup-enable will fail; you have to increase the latter first.

Raising a doc bug to see if this could be officially documented better, either in the admin guide, in the file itself, or both.

Additional info:

For now the mentioned particular use case is documented in kbase (attached).

It seems it's not the first time this causes confusion, e.g. bug 1045540.

Comment 2 Alex Dellapenta 2014-12-11 20:48:16 UTC
This info was added to the OSE Administration Guide as part of the updates that went in for BZ#1133936:

https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/Administration_Guide/index.html#Adding_New_Gear_Profiles


Note You need to log in before you can comment on or make changes to this bug.